#!/usr/bin/perl
# new1.cgi
# form to create new post

use warnings ;
use strict ;
use DB_File ;

require "session.pl";

## DECLARATIONS
our $dbdir;
require "../conf.pl"; #get $dbdir value from ../conf.pl
$dbdir = "../".$dbdir; #fix $dbdir

my $prev ='' ; # checking repeated entrances on tag_id database


## OPENING DATABASES

my ($tag_id, %tag_id); # to handle tag -> id DB
$tag_id = tie %tag_id, "DB_File", $dbdir."habla_tag_id.db", O_RDWR|O_CREAT, 0666, $DB_BTREE # opendb, if it does not exist create
	or die "Cannot open file tag_id: $!\n" ; # error :(

## CREATING FORM

### CREATING HTML  # http server head
print "Content-type: text/html; charset=utf-8\n\n
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n
<html>
<head>\n<title>Perl and BDB example script</title>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
<meta name=\"Name\" content=\"Content\">
<style type=\"text/css\">
body { color: purple; background-color: #dd3; font-size: 0.8em; }
#text {width: 70%; float: left; position: relative; }
#tags {width: 20em;float: left; position: relative; }
#tags ul { padding: 0; list-style: none; }
</style>
</head>\n
<body>
Go to <a href=\"panel_manage.cgi\">Panel</a><br/><br/>
<form name=\"npost\" action=\"new2.cgi\" method=\"post\">
<div id=\"text\">
Title:<br/><input type=\"text\" name=\"title\" /><br/><br/>
Text:<br/><textarea id=\"text\" rows=\"25\" name=\"text\">Introduction\n<!---->\nRest of the text.</textarea><br/>
</div><!-- End of text div -->
<div id=\"tags\">
<b>SELECT TAGS</b>
<ul>
";


# show TAGs
foreach (sort keys %tag_id) # tag_id has multiple equal key
{
	if($prev ne $_){ # for each key, check if it's the same as later read
		print "<li class=\"tag\">$_ <input type=\"checkbox\" name=\"tag\" value=\"$_\" /></li>\n"; # print each key and repetitions
	}
	$prev = $_ ; # store key to use in next loop. To check no repeated tag are showed
}


print "<li class=\"tag\"><input type=\"checkbox\" name=\"ctag\" value=\"uno\" />
 New Tag (just one, add more in next screen) :<br/><input type=\"text\" name=\"ttag\" /></li>
</ul>\n<input type=\"submit\"/>
</form>
</div> <!-- end of tags div -->
</body></html>";

### CLOSING DATABASES

undef $tag_id ; untie %tag_id ;

1; # Correct finish with 1